import { FormikHelpers, FormikValues } from 'formik';
import { CSSProperties, ReactNode } from 'react';
import * as yup from 'yup';
export type FormBoxProps<T> = {
    style?: CSSProperties;
    children: ReactNode;
    initialValues: T;
    validationSchema?: yup.Schema<T>;
    validateOnChange?: boolean;
    validateOnBlur?: boolean;
    validateOnMount?: boolean;
    onSubmit: (values: T, formikHelpers: FormikHelpers<T>) => void;
};
declare const FormBox: <T extends FormikValues>({ style, children, initialValues, validationSchema, onSubmit, validateOnChange, validateOnBlur, validateOnMount, }: FormBoxProps<T>) => JSX.Element;
export default FormBox;
